Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Announcements
Webcast-Catalyst9k
New Member

Upgrade 3750 and 3750V2

Hi all,

I have a 3750 stack with the following switches which I would like to upgrade.

WS-C3750V2-48PS-S

WS-C3750V2-48PS-S

WS-C3750-48PS-S

WS-C3750V2-48PS-S

When I check the cisco software for these switches I see that the latest IOS for the 3750 is 12.2 55 SE8 and for the V2 12.2 58 SE2.

So when running these 2 types of switches in the same stack I will have to use version 12.2 55 SE8.

When I check the tar file for each switchtype I see 2 different tar files, but the name of the bin files is the same:

3750: c3750-ipbaselmk9-tar.122-55.SE8.tar

3750V2: c3750-ipbasek9-tar.122-55.SE8.tar

3750: c3750-ipbasek9-mz.122-55.SE8.bin

3750V2: c3750-ipbasek9-mz.122-55.SE8.bin


Are these compatible with each other.

Which file do I use to upgrade the stack? Or is this not possible with the archive copy command. Do I copy the bin file to the flash and adapt the boot parameters myself?

Thanks,

Best Regards,

Joris

Everyone's tags (4)
5 REPLIES

Upgrade 3750 and 3750V2

Hi Joris,

The 'lm' part of the tar file name denotes that it contains Express Setup files. The bin files contained in both tar files are compatible, they just contain different device management files.

Personally I would just use the .bin files and edit the 'boot system image' variable.

cheers,

Seb.

New Member

Upgrade 3750 and 3750V2

Hi Seb,

Thanks for you quick reply.

I suppose when using the archive download. One of the switches won't be happy with the used tar file.

I am going to test it in a lab anyway. So I'll get back to you on that.

Br,

Joris

Upgrade 3750 and 3750V2

I suspect the 'lm' tar file would work on both switches, but the HTTP based express setup would not work on the 3750v2.

If you don't intend to use the http setup or have http switch access disabled (no http server & no http secure-server) then use the .bin file.

cheers,

Seb.

New Member

Upgrade 3750 and 3750V2

Hi Seb,

I don't want to use the http or https function. But I like the archive download command because it adapts the boot parameters automatically and can erase the previous IOS.

This question was only an example but we have to upgrade almost 300 stacks.

I wanted to use the following command, so only the bin file is used.

archive download-sw /overwrite /allow-feature-upgrade /imageonly

Best Regards,

Joris

New Member

Upgrade 3750 and 3750V2

Hi,

We used the command archive download-sw /overwrite / allow-feature-upgrade /imageonly.

All devices upgraded nicely.

Best Regards,

Joris

373
Views
0
Helpful
5
Replies
CreatePlease to create content